import "package:flutter/material.dart";

void main() => runApp(AppRoot());

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: DefaultTabController(
          length: 3,
          child: Scaffold(
              bottomNavigationBar: TabBar(
                labelColor: Colors.black,
                tabs: [
                  Tab(text: 'home', icon: Icon(Icons.home)),
                  Tab(text: 'scherm 2', icon: Icon(Icons.person)),
                  Tab(text: 'scherm 3', icon: Icon(Icons.build_circle)),
                ],
              ),
              appBar: AppBar(title: Text("Mijn App")),
              body: TabBarView(
                children: [AppTree(), Scherm2(), Scherm3()],
              ))),
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatelessWidget {
  Widget build(BuildContext context) {
    return Container(color: Colors.red);
  }
}

class Scherm2 extends StatelessWidget {
  Widget build(BuildContext context) {
    return Container(color: Colors.blue);
  }
}

class Scherm3 extends StatelessWidget {
  Widget build(BuildContext context) {
    return Container(color: Colors.green);
  }
}
