import "package:flutter/material.dart";

void main() => runApp(AppRoot());

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(appBar: AppBar(title: Text("Mijn App")), body: AppTree()),
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatefulWidget {
  @override
  _AppTreeState createState() => _AppTreeState();
}

class _AppTreeState extends State<AppTree> {
  double grootte = 100;

  Widget build(BuildContext context) {
    return Center(
      child: Column(
        children: [
          //vervang TextButton door ElevatedButton, OutlinedButton, FloatingActionButton en IconButton om verschillen te zien.
          OutlinedButton(
            onPressed: () {
              setState(() {
                grootte += 10;
              });
            },
            child: Icon(Icons.add_circle_outline, size: 50),
          ),
          TextButton(
            onPressed: () {
              setState(() {
                grootte -= 10;
              });
            },
            child: Icon(Icons.remove_circle_outline, size: 50),
          ),
          Container(height: grootte, width: grootte, color: Colors.teal),
        ],
      ),
    );
  }
}
