import 'dart:async';
import "package:flutter/material.dart";

void main() => runApp(mijnInh(AppRoot()));

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(appBar: AppBar(title: Text("Mijn App")), body: AppTree()),
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatefulWidget {
  @override
  _AppTreeState createState() => _AppTreeState();
}

class _AppTreeState extends State<AppTree> {
  initState() {
    Timer(Duration(seconds: 3), () {
      setState(() {
        mijnInh.of(context)!.kopTekst = TextStyle(
            color: Color(0xffff0000),
            fontSize: 40,
            fontWeight: FontWeight.bold);
      });
    });
    super.initState();
  }

  Widget build(BuildContext context) {
    return Text("Hier komt de inhoud van de app",
        style: mijnInh.of(context)!.kopTekst);
  }
}

class mijnInh extends InheritedWidget {
  mijnInh(Widget child) : super(child: child);

  bool updateShouldNotify(mijnInh old) {
    return false;
  }

  TextStyle kopTekst = TextStyle(
      color: Color(0xff4696ec), fontSize: 30, fontWeight: FontWeight.bold);
  static mijnInh? of(BuildContext context) {
    return context.dependOnInheritedWidgetOfExactType<mijnInh>();
  }
}
