import 'package:flutter/material.dart';
import '../bibliotheek.dart' as lib;

class Uitslag extends StatelessWidget {
  final int score;
  Uitslag(this.score);

  Widget build(BuildContext context) {
    return ListView(
      children: <Widget>[
        Container(
          height: 60,
          child: Center(
              child: Text(
            "Uitslag:",
            style: lib.kopTekst,
          )),
        ),
        Center(
            child: Text(
          score.toString(),
          style: lib.kopTekst,
          textScaleFactor: 7,
        )),
        Center(
            child: Text(
          "van de ${lib.vragen.length} vragen goed.",
          style: lib.basisTekst,
          textScaleFactor: 1.2,
        )),
        Container(
          margin: EdgeInsets.only(left: 40, right: 40, bottom: 20),
          child: ElevatedButton(
            child: Text(
              'Opnieuw',
              style: lib.basisTekst,
              textScaleFactor: 1.2,
            ),
            onPressed: () {
              lib.startOpnieuw.add(true);
            },
          ),
        ),
      ],
    );
  }
}
