import "package:flutter/material.dart";

void main() => runApp(AppRoot());

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(appBar: AppBar(title: Text("Mijn App")), body: AppTree()),
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatelessWidget {
  Widget build(BuildContext context) {
    return ListView(
      //scrollDirection: Axis.horizontal,
      children: [
        Container(
          //width: 1000,
          height: 2500,
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            crossAxisAlignment: CrossAxisAlignment.end,
            children: [
              Stack(
                children: [
                  Container(
                    color: Colors.yellow,
                    width: 100,
                    height: 100,
                  ),
                  Container(
                    color: Colors.purple.withOpacity(0.5),
                    width: 20,
                    height: 20,
                  ),
                ],
              ),
              Expanded(
                flex: 2,
                child: Container(
                  color: Colors.blue,
                  child: Center(child: Text("Container 1")),
                ),
              ),
              Expanded(
                child: Container(
                  color: Colors.red,
                  child: Center(child: Text("Container 2")),
                ),
              ),
              Expanded(
                child: Row(
                  children: [
                    Expanded(
                      child: Container(
                        color: Colors.green,
                        child: Center(child: Text("Container 3")),
                      ),
                    ),
                    Expanded(
                      child: Container(
                        color: Colors.purple,
                        child: Center(child: Text("Container 4")),
                      ),
                    ),
                  ],
                ),
              ),
            ],
          ),
        ),
      ],
    );
  }
}
