//deze code werkt alleen indien:
//1. Er een afbeeldingsbestand met de naam 'uw_bestandsnaam.png' staat in de map assets/images.
//2. Het afbeeldingsbestand is geïmporteerd via pubspec.yaml, onder assets met de volgende regel:
//      - assets/images/uw_bestandsnaam.png

import "package:flutter/material.dart";

void main() => runApp(AppRoot());

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: AppTree(),
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatelessWidget {
  Widget build(BuildContext context) {
    return ListView(
      children: [
        Text(
          'Deze afbeelding staat in de map assets/images en is geschaald met fit:',
          textAlign: TextAlign.center,
        ),
        Image.asset(
          //lokaal bestand
          'assets/images/uw_bestandsnaam.png',
          fit: BoxFit.fitWidth,
        ),
        Padding(padding: EdgeInsets.symmetric(vertical: 10)),
        Text(
          'Deze afbeelding komt van een online bron:',
          textAlign: TextAlign.center,
        ),
        Image.network("https://boek.flutter.nl/libelle.jpg"),
      ],
    );
  }
}
