import 'dart:async';
import "package:flutter/material.dart";
import "4-17_bibliotheek.dart" as lib;

void main() => runApp(AppRoot());

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    lib.tekstStroom.add("Dit is de eerste tekst");
    Timer(Duration(seconds: 3), () {
      lib.tekstStroom.add("Dit is de tweede tekst");
    });

    return MaterialApp(
      home: Scaffold(appBar: AppBar(title: Text("Mijn App")), body: AppTree()),
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatefulWidget {
  @override
  _AppTreeState createState() => _AppTreeState();
}

class _AppTreeState extends State<AppTree> {
  String tekstOpScherm = "";

  initState() {
    lib.tekstStroom.stream.listen((tekstInStroom) {
      setState(() {
        tekstOpScherm = tekstInStroom;
      });
    });
    super.initState();
  }

  Widget build(BuildContext context) {
    return Text(tekstOpScherm, style: lib.kopTekst);
  }
}
